package sgc.portal.cw.cw0607.persistence;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0607.model.CW06070001U;
import sgc.portal.cw.cw0607.dto.CW06070001USearch;

import java.util.List;

@Mapper
public interface CW06070001UMapper {
	
	
    List<EasyHashMap<String, Object>> getList(CW06070001USearch search);
    
    List<EasyHashMap<String, Object>> getInitData(CW06070001USearch search);
    
    List<EasyHashMap<String, Object>> selectInitData(CW06070001USearch search);
    
    int insert(CW06070001U cW06070001U);

    int update(CW06070001U cW06070001U);

    int delete(CW06070001U cW06070001U);
	
	String selectUserEmail(CW06070001U cW06070001U);
	
	String selectEmailTitle(CW06070001U cW06070001U);
	
	String selectEmailConts(CW06070001U cW06070001U);

	int selectSeq(CW06070001U cW06070001U);

	int selectCoId(CW06070001U cW06070001U);
}
